unit SampleTM;

interface

uses
  {$IFDEF WIN32} Windows, ComCtrls, {$ELSE} WinTypes, WinProcs, {$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Grids, DBGrids, DB, Printers, ExtCtrls,
  HReport;

type
  TSampleMainf = class(TForm)
    btEnd: TButton;
    Image1: TImage;
    btExecute: TButton;
    rgReport: TRadioGroup;
    rgMethod: TRadioGroup;
    GroupBox1: TGroupBox;
    cbPrintDialog: TComboBox;
    Label1: TLabel;
    cbPrintProgress: TComboBox;
    Label2: TLabel;
    procedure btEndClick(Sender: TObject);
    procedure btExecuteClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SampleMainf: TSampleMainf;

implementation

uses SampleTC;

{$R *.DFM}

procedure TSampleMainf.btEndClick(Sender: TObject);
begin
  Close;
end;

procedure TSampleMainf.btExecuteClick(Sender: TObject);
var
  Rep: THyperReport;
begin
  rep := nil;
  case rgReport.ItemIndex of
   0: rep := SampleTCf.HyperReport1;
  end;

  if Assigned(rep) then begin
     rep.ShowPrintDialog := (cbPrintDialog.Text = 'True');
     rep.ShowPrintProgress := (cbPrintProgress.Text = 'True');
     case rgMethod.ItemIndex of
      0: rep.Preview;
      1: rep.Print;
     end;
  end;

end;

end.
