unit SampleB;

interface

uses
  {$IFDEF WIN32} Windows, {$ELSE} WinTypes, WinProcs, {$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  HReport, HRLinkC, StdCtrls, HRCtrlsC, HRCommon, DBTables, DB;

type
  TSampleBf = class(TForm)
    HRPageB: THRPage;
    HRPageBand1: THRPageBand;
    HRLabel1: THRLabel;
    HRLink1: THRLink;
    HRGroupBand0: THRGroupBand;
    HRGroup1: THRGroup;
    txPartNo: THRDBText;
    lbPartNo: THRLabel;
    txChildPartNo: THRDBText;
    lbChildPartNo: THRLabel;
    txQty: THRDBText;
    lbQty: THRLabel;
    HRGroupBand1: THRGroupBand;
    HRGroup0: THRGroup;
    txPartNo0: THRDBText;
    lbPartNo1: THRLabel;
    txDescription: THRDBText;
    lbDescription: THRLabel;
    HRGroupBand2: THRGroupBand;
    HRGroup2: THRGroup;
    txPartNo1: THRDBText;
    lbPartNo2: THRLabel;
    txDescription0: THRDBText;
    lbDescription1: THRLabel;
    txListPrice: THRDBText;
    lbListPrice: THRLabel;
    SelfLevel: THRSysData;
    HyperReport1: THyperReport;
    var0: THRDBText;
    var1: THRDBText;
    var2: THRDBText;
    var3: THRDBText;
    HRLabel2: THRLabel;
    lb: THRLabel;
    varQty: THRDBText;
    HRGroupBand3: THRGroupBand;
    cl: THRCalc;
    Parts: TQuery;
    PartSource: TDataSource;
    BOM: TTable;
    BOMSource: TDataSource;
    BOMParts: TTable;
    BOMPartSource: TDataSource;

    procedure HyperReport1BeforeReport(Sender: TObject;
      var PrintReport: Boolean);
    procedure SelfLevelBeforePrint(Sender: THRCustomLabel;
      var Value: string);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SampleBf: TSampleBf;

implementation

{$R *.DFM}
var
  LevelQty:array[0..10] of Double;
  PrevLevel: integer;

procedure TSampleBf.HyperReport1BeforeReport(Sender: TObject;
  var PrintReport: Boolean);
begin
  PrevLevel := -1;
end;


procedure TSampleBf.SelfLevelBeforePrint(Sender: THRCustomLabel;
  var Value: string);
var
  CurLevel: integer;
begin
  CurLevel := StrToInt(Value);
  var0.Value := 0;
  var1.Value := 0;
  var2.Value := 0;
  var3.Value := 0;
  case CurLevel of
    0: var0.Value := 1;
    1: var1.Value := 2;
    2: var2.Value := 3;
    3: var3.Value := 4;
  end;
  if (CurLevel < 0) then begin
      varQty.Enabled := False;
      varQty.Value := 0;
  end else if (CurLevel = 0) then begin
      varQty.Enabled := True;
      varQty.Value := BOM.FieldByName('Qty').asInteger;
      LevelQty[CurLevel] := varQty.Value;
  end else begin
      varQty.Enabled := True;
      varQty.Value := BOM.FieldByName('Qty').asInteger * LevelQty[CurLevel-1];
      LevelQty[CurLevel] := varQty.Value;
  end;
end;

end.
